Package: grails.config

## [Groovy] Class ConfigProperties

- grails.config.ConfigProperties

- Cached access to Config.toProperties to avoid repeated calls

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ConfigProperties (Config config)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `get(java.lang.Object key)`
    `` | `java.lang.String` | `getProperty(java.lang.String key)`
    `` | `java.lang.String` | `getProperty(java.lang.String key, java.lang.String defaultValue)`
    `` | `java.util.Set<java.lang.Object>` | `keySet()`
    `` | `java.util.Enumeration<java.lang.Object>` | `keys()`
    `` | `java.util.Enumeration<?>` | `propertyNames()`
    `` | `java.util.Set<java.lang.String>` | `stringPropertyNames()`
    `` | `java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.util.Properties` | `java.util.Properties#setProperty(java.lang.String, java.lang.String), java.util.Properties#getProperty(java.lang.String), java.util.Properties#getProperty(java.lang.String, java.lang.String), java.util.Properties#list(java.io.PrintWriter), java.util.Properties#list(java.io.PrintStream), java.util.Properties#load(java.io.Reader), java.util.Properties#load(java.io.InputStream), java.util.Properties#save(java.io.OutputStream, java.lang.String), java.util.Properties#store(java.io.OutputStream, java.lang.String), java.util.Properties#store(java.io.Writer, java.lang.String), java.util.Properties#loadFromXML(java.io.InputStream), java.util.Properties#storeToXML(java.io.OutputStream, java.lang.String), java.util.Properties#storeToXML(java.io.OutputStream, java.lang.String, java.lang.String), java.util.Properties#propertyNames(), java.util.Properties#stringPropertyNames(), java.util.Properties#remove(java.lang.Object), java.util.Properties#get(java.lang.Object), java.util.Properties#put(java.lang.Object, java.lang.Object), java.util.Properties#equals(java.lang.Object), java.util.Properties#toString(), java.util.Properties#values(), java.util.Properties#hashCode(), java.util.Properties#clone(), java.util.Properties#clear(), java.util.Properties#isEmpty(), java.util.Properties#contains(java.lang.Object), java.util.Properties#size(), java.util.Properties#entrySet(), java.util.Properties#putAll(java.util.Map), java.util.Properties#elements(), java.util.Properties#keys(), java.util.Properties#keySet(), java.util.Properties#containsValue(java.lang.Object), java.util.Properties#containsKey(java.lang.Object), java.util.Properties#wait(long, int), java.util.Properties#wait(long), java.util.Properties#wait(), java.util.Properties#getClass(), java.util.Properties#notify(), java.util.Properties#notifyAll()`
    `class java.util.Hashtable` | `java.util.Hashtable#remove(java.lang.Object), java.util.Hashtable#get(java.lang.Object), java.util.Hashtable#put(java.lang.Object, java.lang.Object), java.util.Hashtable#equals(java.lang.Object), java.util.Hashtable#toString(), java.util.Hashtable#values(), java.util.Hashtable#hashCode(), java.util.Hashtable#clone(), java.util.Hashtable#clear(), java.util.Hashtable#isEmpty(), java.util.Hashtable#contains(java.lang.Object), java.util.Hashtable#size(), java.util.Hashtable#entrySet(), java.util.Hashtable#putAll(java.util.Map), java.util.Hashtable#elements(), java.util.Hashtable#keys(), java.util.Hashtable#keySet(), java.util.Hashtable#containsValue(java.lang.Object), java.util.Hashtable#containsKey(java.lang.Object), java.util.Hashtable#wait(long, int), java.util.Hashtable#wait(long), java.util.Hashtable#wait(), java.util.Hashtable#getClass(), java.util.Hashtable#notify(), java.util.Hashtable#notifyAll()`

- - ### Constructor Detail

    - #### ConfigProperties(Config config)

  - ### Method Detail

    - #### @java.lang.Override java.lang.Object get(java.lang.Object key)

    - #### @java.lang.Override java.lang.String getProperty(java.lang.String key)

    - #### @java.lang.Override java.lang.String getProperty(java.lang.String key, java.lang.String defaultValue)

    - #### @java.lang.Override java.util.Set<java.lang.Object> keySet()

    - #### @java.lang.Override java.util.Enumeration<java.lang.Object> keys()

    - #### @java.lang.Override java.util.Enumeration<?> propertyNames()

    - #### @java.lang.Override java.util.Set<java.lang.String> stringPropertyNames()

    - #### @java.lang.Override java.lang.String toString()